org.apache.xmlbeans.impl.xpath.saxon

## Class SaxonXPathEngine

- java.lang.Object
- - org.apache.xmlbeans.impl.xpath.XPathExecutionContext
  - - org.apache.xmlbeans.impl.xpath.saxon.SaxonXPathEngine

All Implemented Interfaces:
  XPathEngine

    public class SaxonXPathEngine
    extends XPathExecutionContext
    implements XPathEngine

### Field Summary

### Fields inherited from class org.apache.xmlbeans.impl.xpath.XPathExecutionContext

`ATTRS, DESCEND, HIT`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `next(Cur c)`
`void` `release()`

### Methods inherited from class org.apache.xmlbeans.impl.xpath.XPathExecutionContext

`attr, element, end, init, start`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### next

    public boolean next(Cur c)

Specified by:
  `next` in interface `XPathEngine`

#### release

    public void release()

Specified by:
  `release` in interface `XPathEngine`